groovy-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konstantin Boudnik (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (GROOVY-8378) Gradle wrapper should needs to download all dependencies on the first run
Date Mon, 13 Nov 2017 18:18:01 GMT

     [ https://issues.apache.org/jira/browse/GROOVY-8378?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Konstantin Boudnik updated GROOVY-8378:
---------------------------------------
    Attachment: 0001-GROOVY-8378-Gradle-wrapper-should-needs-to-download-.patch

> Gradle wrapper should needs to download all dependencies on the first run
> -------------------------------------------------------------------------
>
>                 Key: GROOVY-8378
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8378
>             Project: Groovy
>          Issue Type: Improvement
>    Affects Versions: 2.5.0-beta-1
>            Reporter: Konstantin Boudnik
>         Attachments: 0001-GROOVY-8378-Gradle-wrapper-should-needs-to-download-.patch
>
>
> Ideally, the build should be independent from the Gradle version installed on the system.
Furthermore, the build should work in the absence of the gradle runtime.
> The issue can be easily solved by introduction of a custom wrapper script. [Apache Bigtop
is doing this|https://git-wip-us.apache.org/repos/asf?p=bigtop.git;a=blob_plain;f=gradlew;hb=HEAD]
for years, facilitating more controllable build environment. 
> Existing wrapper script requires a jar file to be checked in to the source code, which
creates a problem during release times, as the binary file has to be included into source-only
Apache release.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message